# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'second_step/version'

Gem::Specification.new do |spec|
  spec.name          = "second_step"
  spec.version       = SecondStep::VERSION
  spec.authors       = ["Ben"]
  spec.email         = ["ben@bensites.com"]

  spec.summary       = %q{2 factor authenication made easy.}
  spec.homepage      = "https://github.com/penne12/secondstep.rb"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features|secondstep-notify-osx)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "dotenv", "~> 2.1"

  spec.add_dependency 'oauth2', '~> 1.2'
  spec.add_dependency 'path-builder', '~> 0.1'
  spec.add_dependency 'rqrcode', '~> 0.10'
  spec.add_dependency 'jwt', '~> 1.5'
  spec.add_dependency 'activesupport', '~> 5.0'
  spec.add_dependency 'terminal-notifier', '>= 1.7'
end
